commit: 0b318b8f934aa5afcb363cb569d92f5d6a725039
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 28 20:59:23 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 28 21:30:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b318b8f
sci-visualization/pyxplot: Permit scipy-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../pyxplot/{pyxplot-0.9.2-r1.ebuild => pyxplot-0.9.2-r2.ebuild} | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/sci-visualization/pyxplot/pyxplot-0.9.2-r1.ebuild
b/sci-visualization/pyxplot/pyxplot-0.9.2-r2.ebuild
similarity index 87%
rename from sci-visualization/pyxplot/pyxplot-0.9.2-r1.ebuild
rename to sci-visualization/pyxplot/pyxplot-0.9.2-r2.ebuild
index 61451371008..7ecda5c36f0 100644
--- a/sci-visualization/pyxplot/pyxplot-0.9.2-r1.ebuild
+++ b/sci-visualization/pyxplot/pyxplot-0.9.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -24,7 +24,10 @@ RDEPEND="
sci-libs/cfitsio
sci-libs/fftw:3.0=
sci-libs/gsl
- sci-libs/scipy[${PYTHON_USEDEP}]
+ || (
+ sci-libs/scipy-python2[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ )
virtual/latex-base
virtual/imagemagick-tools
${PYTHON_DEPS}"